%define _disable_ld_no_undefined 1

Name:       x11-driver-input-evtouch
Version:    0.8.8
Release:    %mkrel 16
Summary:    Linux-Touchscreen Driver for X
Group:      System/X11
License:    MIT
URL:        http://www.conan.de/touchscreen/evtouch.html
Source:     http://www.conan.de/touchscreen/xf86-input-evtouch-%{version}.tar.bz2
# Debian patches
Patch0:     01_fix_warnings.patch
Patch1:     02_calibration_1.6.patch
Patch2:     03_server-1.6-ftbfs.diff
Patch3:     04_server-1.7-ftbfs.diff
# (tmb)  buildfixes for x11-server 1.10
Patch4:     evtouch-replace-LocalDevicePtr-with-InputInfoPtr.patch
Patch5:     evtouch-remove-libc-wrapper-usage-for-xcalloc-xalloc-xfree.patch
Patch6:     evtouch-use-a-local-variable-for-history_size.patch
Patch7:     evtouch-purge-unused-close_proc.patch
Patch8:     evtouch-add-mode-field-to-InitValuatorAxisStruct.patch
Patch9:     evtouch-adjust-to-new-PreInit.patch
# needed for ev_calibrate:
Requires:	fonts-ttf-freefont
BuildRequires:  x11-proto-devel
BuildRequires:  x11-server-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}

Requires: x11-server-common %(xserver-sdk-abi-requires xinput)

%description
Evtouch is a Touchscreen-Driver for X. 

%prep
%setup -q -n xf86-input-evtouch-%{version}
%apply_patches

%build
export CURSORDIR=%{_datadir}/xf86-input-evtouch
%configure2_5x --enable-evcalibrate
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README README.calibration
%{_libdir}/xorg/modules/input/evtouch_drv.la
%{_libdir}/xorg/modules/input/evtouch_drv.so
%{_libdir}/xf86-input-evtouch
%{_datadir}/xf86-input-evtouch




%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.8.8-16.mga4
+ Revision: 525395
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 0.8.8-15.mga4
+ Revision: 433133
- submit to core/release

* Mon Jan 14 2013 umeabot <umeabot> 0.8.8-14.mga4
+ Revision: 385928
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 07 2012 tv <tv> 0.8.8-13.mga3
+ Revision: 289365
- rebuild for new xserver
- rebuild for new xserver

* Wed Jun 06 2012 tmb <tmb> 0.8.8-12.mga3
+ Revision: 256318
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 0.8.8-11.mga3
+ Revision: 252988
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 0.8.8-10.mga3.nonfree
+ Revision: 250203
- rebuild for new X.org server

* Sat Mar 10 2012 tv <tv> 0.8.8-9.mga2
+ Revision: 222537
- requires fonts-ttf-freefont (needed for ev_calibrate, mga#1346)

* Tue Dec 06 2011 tmb <tmb> 0.8.8-8.mga2
+ Revision: 177511
- submit to core/release

* Sat Oct 08 2011 tv <tv> 0.8.8-7.mga2
+ Revision: 153101
- rebuild for xserver-1.11

* Sat Mar 05 2011 tmb <tmb> 0.8.8-6.mga1
+ Revision: 65053
- fix build with x11-server 1.10

  + tv <tv>
    - rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 0.8.8-4.mga1
+ Revision: 50133
- imported package x11-driver-input-evtouch


* Fri Nov 19 2010 Thierry Vignaud <tv@mandriva.org> 0.8.8-4mdv2011.0
+ Revision: 599050
- use %%apply_patches
- sync with updates/2010.1 branch: Add another Debian patch for new input API
  (from Glenn Sommer)
- require xorg server with proper ABI
- bump release before rebuilding for xserver 1.9

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt for 2010.1

* Tue May 19 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.8-1mdv2010.0
+ Revision: 377767
- Update to new version 0.8.8
- Remove old patches
- Sync patches with Debian to make it build with xserver 1.6
- Use %%configure2_5x instead of %%configure to make it build with new libtool

* Wed Jul 30 2008 Olivier Blin <oblin@mandriva.com> 0.8.7-3mdv2009.0
+ Revision: 255550
- disable ld no_undefined (weird 2mdv passed the build system)
- add more fixes from Debian (reverting parts of the other Debian patch..)

* Wed Jul 30 2008 Olivier Blin <oblin@mandriva.com> 0.8.7-2mdv2009.0
+ Revision: 255221
- add Xorg 1.4 support and various fixes (from Debian)
- drop compile fixes
- drop Q1U patch (hopefully handled by EV_SYN changes in Debian patch)
- fix includes (from Debian)
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.8.7-1mdv2008.1
+ Revision: 98619
- new upstream version: 0.8.7
- added compile-fix.patch (upstream compilation is broken)
- ported q1u.patch to the new version

* Fri Aug 31 2007 Olivier Blin <oblin@mandriva.com> 0.8.6-4mdv2008.0
+ Revision: 76965
- add support for Samsung Q1U touchscreen axes (patch from Pepper, taken from Ubuntu)

* Fri Aug 03 2007 Olivier Blin <oblin@mandriva.com> 0.8.6-3mdv2008.0
+ Revision: 58611
- fix cursor path in ev_calibrate (thanks to rtp for the bug report)

* Thu Jun 28 2007 Olivier Blin <oblin@mandriva.com> 0.8.6-2mdv2008.0
+ Revision: 45242
- remove buildrequires versions (not needed even for 2007.0)
- remove useless X configure options
- remove unused x11-util-macros buildrequire
- add README files

* Tue Jun 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.6-1mdv2008.0
+ Revision: 41314
- fix package name
- wrong name
- import x11-input-driver-evtouch

